Upgrading from IDF 4.0.0 to 4.3.1 breaks build

miniwin
Posts: 2
Joined: Mon Apr 05, 2021 4:19 pm

Upgrading from IDF 4.0.0 to 4.3.1 breaks build

Postby miniwin » Thu Jan 27, 2022 3:25 pm

I have a project that isn't too complex. It has a main component and 2 other components. It's been building fine in IDF version 4.0.0. Upgrading to 4.3.1 and it fails to build with some unresolved externals when linking which are in my source code. The source files that contain the functions that are not found are being compiled - I tried putting deliberate errors in them and the compiler noticed. I can't figure out why the link is not including the correct object files, or finding the functions if they are.

I've tried removing the components and putting everything into a single main component - and everything builds, so I don't think there's anything wrong with the code.

The project is in github here...

https://github.com/miniwinwm/miniwinwm/ ... iWinSimple

Anyone any ideas?

ESP_Mahavir
Posts: 100
Joined: Wed Jan 24, 2018 6:51 am

Re: Upgrading from IDF 4.0.0 to 4.3.1 breaks build

Postby ESP_Mahavir » Wed Feb 09, 2022 10:05 am

Hello @miniwin,

It is possible that you are running into circular dependency issue here. Could you please check if section at https://docs.espressif.com/projects/esp ... pendencies helps you in this context?
Mahavir

Who is online

Users browsing this forum: davidbetz and 48 guests